﻿# You can place the script of your game in this file.

init:
    # Declare images below this line, using the image statement.
    # eg. image eileen happy = "eileen_happy.png"
    image renpyLogo = "renpyLogo.png"
    image nnrnLogo = "nnrn.png"
    image pose1 = "pose1.png"
    image pose2 = "pose2.png"
    image terisanervous = "01a.png"
    image terisarelieved = "01b.png"
    image janeconcerned = "02.png"
    image janeangry = "03.png"
    image janehappy = "04.png"
    image terisahappy = "01f.png"
    image enersahappy = "02f.png"
    image enersaduty = "02b.png"
    image terisaduty = "01d.png"
    image hanasuprised = "pose01.png"
    image hanablush = "pose10.png"
    image hanasuprised2 = "pose02.png"
    image hanahappy = "pose08.png"
    image hanaexplain = "pose07.png"
    image school = "DCFC0046.JPG"
    image classroom = "jrclassback.jpg"
    image sidewalk = "DCFC0014.JPG"
    image hanahouse = "DCFC0005.JPG"
    image circle = "DCFC0006.JPG"
    image livingroom = "P1010046.JPG"
    image stairs = "P1010047.JPG"
    image hanabedroom = "P1010048.JPG"
    image jakebedroom = "P1010049.JPG"
    image bridge1 = "DCFC0030.JPG"
    image bridge2 = "DCFC0035.JPG"
    image road = "DCFC0087.JPG"
    image hike = "DCFC0063.JPG"
    image sunset = "DCFC0123.JPG"
   # Declare characters used by this game.
    $ j = Character('Jake', color=(0, 153, 255, 255))
    $ m = Character('Mother', color=(163, 255, 114, 250))
    $ f = Character('Father', color=(255, 000, 000, 255))
    $ h = Character('Hana', color=(200, 228, 248, 255))
    $ t = Character('Terisa', color=(199, 0, 255, 250))
    $ e = Character('Enersa', color=(199, 202, 000, 255))
    $ J = Character('Jane', color=(100, 200, 50, 255))
    $ T = Character('Teacher', color=(80, 150, 0, 255))

label splashscreen:
    
    scene black
    $ renpy.pause(1.0)
    show nnrnLogo at Position(xpos=0.5,ypos=0.4,xanchor="center", yanchor="center")
    show expression Text("A NaNoRenO 2007 Game", size=22, xpos=0.5,ypos=0.7,xanchor="center", yanchor="center", drop_shadow=(2, 2)) as text
    with dissolve
    $ renpy.pause(2.0)
    hide nnrnLogo
    hide text
    with dissolve

    $ renpy.pause(1.0)
    
    show renpyLogo at Position(xpos=0.5,ypos=0.4,xanchor="center", yanchor="center")
    show expression Text("Ren'Py- A Visual Novel Engine", size=22, xpos=0.5,ypos=0.7,xanchor="center", yanchor="center", drop_shadow=(2, 2)) as text
    with dissolve
    $ renpy.pause(1.0)
    hide text with dissolve
    show expression Text("~ www.renpy.org ~", size=22, xpos=0.5,ypos=0.7,xanchor="center", yanchor="center", drop_shadow=(2, 2)) as text with dissolve
    $ renpy.pause(1.0)
    hide renpyLogo
    hide text
    with dissolve
    return

# The game starts here.
label start:
    $ renpy.music.play('midday_dance.mp3')
    
    scene school with fade
    
    "Gyyyaaahh- I am pathetic!!!!"

    "Three months......"
    
    "Three months and I still don't have a single friend."
    
    "What have I done wrong, where did I make a mistake?"
    
    "I remember it like it was yesterday."
    
    f "Jake, we will be moving to Oklahoma. I am sorry but we just aren't making enough to get by."

    j "But all my friends are here, I have lived here my whole life here. I just can't pick up and go..."
  
    f "Jake, you must understand I know how you feel but we don't have a choice."
  
    j "YOU'RE WRONG!!!!"
  
    j "You don't have the slightest idea of how I feel!"
  
    j "You just want a bigger house and more money- you didn't even consider my feelings!!!"
  
    m "Jake!!!"
  
    m "You apologize to your father this minute!!!"
  
    f "How dare you speak to me that way!!!"
  
    j "As soon as I have the money I am outta here- I can't stand you!"
  
    f "That's fine by me, the sooner the better!!!"
  
    m "You always were a disapointment..."

    "As soon as we got here I got a job and I started saving."
    
    "It was only a few months later that I was able to move out."
    
    "I thought I was free, but I soon learned the harshness of reality."
    
    "My father may have let me leave the house, but the cage was still there..."
    
    "I was still a minor, I needed his signature just to get into the apartment."
    
    "Also I am unable to leave this place until I become an adult."
    
    "So I am completely alone..."
    
    "With my parents gone and my social skills not worth talking about, its been impossible to make new friends."
    
    "Now that I think about it, did I ever even have any friends?"
    
    "All my friends were sons and daughters of personnel that my father worked with at the plant."
    
    "And they where always different when I was around."
    
    "Well I guess it doesn't really matter now, I just need to get through high school."
    
    scene classroom with fade
    
    "I go in the classroom and take my usual spot in the back of the room."
    
    T "Well hello class, today we are going to study arithmetic."
  
    "Well thats nice, arithmetic is not that hard."

    "A few hours pass as the teacher trys to help a few lost students."
    
    T "Well thats it for today, if you need more help please stay after."
 
    "It's off to my part-time job for me."
    
    "Familiar Voice" "Excuse me, Jake right!?"
    
    "Wait, is that, it can't be!!"
    
    show pose1 at center
    
    "Wow, Hana Hiroshioru, one of the prettiest, smartest, and popular girls at this school..."
    
    "If I didn't consider myself a lost cause I would find her attractive."
    
    "Well scratch that, I may be a lost cause, but she is still pretty."
    
    h "Hello, is anybody home?"
 
    j  "Yes!!! Sorry- yeah I'm Jake!"
 
    "I guess I took alittle too long to answer that question- I gotta stay focused."
 
    h "Hehehe, I thought so"
 
    j "Hi Hana, what can I do for you?"
  
    h "Well Jake I was wondering you have any plans friday?"
 
    j "Why?"
 
    h "I was having trouble with my arithmetic, I was hoping you could come to my house and help me"
 
    hide pose1
 
    "She didn't just say that, was I just invited to Hana's house?"
    "Help with arithmetic? She tends to score higher than me!!!!"
 
    menu: 
        "Well I don't have work on friday, what should I do?"
        "Well, why not, whats one more humiliation?":
            jump Okay
        "No, she is just using me.":
            jump idiot
    
label idiot:
    j "No, I'm sorry, but NO!!!"
    
    show hanasuprised at center
    
    h "But, why?"
    
    j "Because there is no reason for it, you are just using me!"
    
    h "B-b-but, I am not"
    
    J "I am not going to listen to this! I am leaving!!!"
    
    hide hanasuprised
    scene jakebedroom with fade
    
    "I did the right thing, there was no reason for her to ask me."
    
    "She is good at arithmetic anyways."
    
    "........"
    
    "Wait- if she is good at arithmetic, then why did she ask me to come over?"
    
    "Did she want to be my friend?"
    
    "I feel like such an idiot!!"
    
    "She probably never wants to talk me with me again."
    
    "Well I guess that is just my luck."
    
    scene school with fade
    
    "I suppose I will just have to deal with it."
    
    scene classroom with fade
    
    show hanahappy at center
    
    h "Hi Jake, how are you?"
    
    "Wait, she is actually talking to me?"
    
    h "I don't think we got on the right foot last time, so I have come to ask you again to help me with my arithmetic."
    
    hide hanahappy
    
    menu: 
        "There is no way my luck is that good, what should I do?"
        "I can't miss this chance!":
            jump Okay
        "No, I don't even care anyways!!!":
            jump ego
    
label ego:
    j "No, for the last time stay the hel.."
    
    "she is gone, where did she go?"
    
    "Have I made a mistake"
    
    scene jakebedroom with fade
    
    "Well I have finally come to the realization that I am a idiot!"
    
    "To the realization that I am doomed to be alone."
    jump endcredits

label Okay:
    
    show pose2 at center
    
    j "Okay sure, what time?"

    h "At six, okay here is the address, I will see you then!!!"
    
    hide pose2
    
    "I am slightly confused about what happened or why it happened."
    
    "I don't know if I am just being used, but what have I got to lose?"
    
    "Besides who knows, maybe It will be a good experience for me!!!"
    
    scene sidewalk with fade
    
    "Well after school I followed her directions to her house."
    
    "I must say its amazing I ever made it at all. From the map she drew, you would think she didn't want me to find her house"
    
    "Luckily, I found someone who knew Hana and they pointed me in the right direction."
    
    scene hanahouse with fade
    
    "Its interesting, I wouldn't expect to find someone like her living in a place like this."
    
    show terisanervous at center
  
    "Little Child" "Hey, who are you, what are you doing here?"

    "Hmmm, a child, maybe her sister?"
    
    j "Uhhh... is Hana home?"

    "Little Child" "Depends, are you Jake?"
  
    "She knows my name, a little creepy, but I suppose it is natural that she told her family."
    
    j "Yes, yes I am Jake!"
  
    hide terisanervous 
    show terisarelieved at center
  
    "Little Child" "In that case hold on a sec..."
  
    hide terisarelieved
  
    "After a few moments the door started to open"
  
    show janeconcerned at center
  
    "Strange Woman" "You, get inside NOW!!!"
  
    j "y..yess Ma'am!!!"
  
    hide janeconcerned
    scene livingroom with fade
    
    "Well I wasn't expecting that, this must be Hana's mother."
  
    show janeconcerned at center
    
    "Strange Woman" "I am Jane Hiroshioru, you must be Jake."
  
    J "Hmmm, I am not sure what she sees in you..."
  
    "...what is she talking about?"
  
    hide janeconcerned 
    show janeangry at center
  
    J "But don't get any ideas, you try anything and I will ring your little NECK!!!!"
  
    j "N-n-no, No Ma'am!!, no ideas!"
  
    hide janeangry 
    show janehappy at center
  
    J "Well you seem alright, I trust you!"
  
    J "I must go prepare dinner, I pray I will see you again soon."
  
    hide janehappy
  
    "Wheew, that was pretty scary, but I gotta admit, I like that woman."
  
    "I wonder what she meant when she said ideas, maybe..."
  
    show terisahappy at left
  
    "Little Child" "Hey Jake, my sister is waiting for you up stairs."
  
    show enersahappy at right
  
    e "Hi Jake, I am Enersa, this is my sister Terisa."
    
    j "You two look almost identical!!!"
    
    e "That's because we are twins!"
    
    t "Wow, you're pretty tall!"
  
    e "Yeah you are, you don't play on any basketball teams do you?"
  
    j "No, actually I am not a big fan of sports."
  
    e "Thats okay, niether is big sis"
  
    j "Really!? But she was always good in gym class"
  
    t "Yeah I know, she is good at alot of sports, but she just doesn't care about stuff like that"
  
    t "Anyways, come on, I will show you the way"
  
    hide terisahappy
    hide enersahappy
    show terisaduty at left
    show enersaduty at right
  
    e "(Whisper) You know his seems like a nice guy."
  
    t "(Whisper) Don't blow it big sis."
  
    j "Hey didn't you just say something?"
  
    hide terisaduty
    hide enersaduty
    show terisahappy at left
    show enersahappy at right
  
    "Together" "No."
    
    hide terisahappy
    hide enersahappy
    
    scene stairs with fade
    
    "The two led me up stairs to her bedroom."
    
    scene hanabedroom with fade
    
    "Wow, I mean I know its like a palace compared to the way my place looks, but I never would've thought someone like her would have a room like this..."
    
    show hanasuprised at center
    
    h "Jake?"
    
    hide hanasuprised
    show hanasuprised2 at center
    
    h "I...I wasn't expecting you until later."
    
    h "Sorry the place is in such a mess, I tried to clean before you got here."
    
    j "It's okay, it really isn't that bad."
    
    h "Ohh yeah, a a..a the arithmetic, we should get a start on it"
    
    j "Yeah, sure why not?"
    
    hide hanasuprised2
    
    "Well I spent the next two hours going over the arithmetic with her, but it seemed like she already knew it, which raised the question I have had in my head since day one, why did she ask me here?"
    
    j "Okay, thats done, I will just be heading now, see ya later."
    
    show hanasuprised2
    
    h "Wait!!!"
    
    "Hmm, I wonder whats up, she has that same look on her face..."
    
    j "Yeah, what?"
    
    h "Uhhh, mmmmm, I..I wasss wondering, if you had p..plans to..tomorrow?"
    
    j "Why?"
    
    h "I wanted to know if, yy..you wanted to go on a waalk with me?"
    
    j "What, you mean like a date?"
    
    hide hanasuprised2
    show hanaexplain
    
    h "Well in a way yes, just a get together kinda thing, well?"
    
    hide hanaexplain
    
    menu: 
        "This is alittle strange, but?"
        "A date with Hana!!? Why not, maybe things are starting to look up":
            jump dateWhana
        "I don't get this, its too weird, no way!!!!":
            jump friends

label friends:
    j "I gotta go!!"
    
    "Before she could say anything I ran out the door."
    
    scene sidewalk with fade
    
    "Why was I running?"
    
    "Was I afraid?"
    
    "Afraid of having a friend?"
    
    "Maybe I was afraid of losing her..."
    
    scene jakebedroom with fade
    
    "Why was I pushing her away?"
    
    "She has shown me nothing but kindness, and I have thrown it all back in her face..."
    
    "I feel like a bad person."
    
    "No, I can't let it end this way!!!"
    
    "I have to go and find her!!!"
    
    scene sidewalk with fade
    
    "I start to run back."
    
    "I hope that I am not to late."
    
    "Wait, that women, is that?"
    
    show hanasuprised2 at center
    
    h "Jake?"
    
    j "Hana, please I understand if you hate me, but please."
    
    j "I was afraid, I was afraid of losing you, please give me one more chance, one more chance to be your friend."
    
    hide hanasuprised2
    show hanablush at center
    
    h "Really you want to be my friend?"
    
    j "Yes, of course I do!!!!"
    
    h "In that case, you want to walk with me?"
    
    j "Sure I would love to."
    
    hide hanablush
    show hanahappy
    
    h "Thank you!"
    
    hide hanahappy
    
    "Well, I have come to a realization."
    
    "A realization that just one person caring for another and recieving care in return is enough to keep someone moving."
    
    "The realization that a friend is there..."
    jump endcredits

label dateWhana:
    j "Sure, I will go on a date with you."

    show hanahappy at center
    
    h "Really? That's great okay I will meet you at the circle at 2:00 tomorrow!!!"
    
    hide hanahappy
    scene circle with fade
    
    "Well I am a little confused about why I am doing this, but okay."
    
    h "Hey Jake, over here!"
    
    show hanahappy at center
    
    j "So what are we going to do first?"
    
    h "Well I thought some site seeing first."
    
    j "Okay that sounds fine by me."
    
    hide hanahappy
    
    scene road with fade
    
    "Well first Hana decided that we would go to a bridge nearby and look at the town from there."
    
    scene bridge1 with fade
    show hanaexplain
    
    h "See, I told you it wasn't that far."
    
    j "Yeah, just wait until tomorrow, you won't be saying that..."
    
    hide hanaexplain
    show hanahappy
    scene bridge2 with fade
    
    h "Look you can see the dome from here, isn't it pretty?"
    
    "What is this feeling, I feel so warm when I am near her, its intoxicating."
    
    h "Jake why don't we go on a hike?"
    
    j "Okay, sure why not."
    
    hide hanahappy
    scene hike with fade
    
    "Wow, it really is pretty here"
    
    h "Ouch!!"
    
    j "Hana, are you okay?"
    
    h "Yes I am fine, I just tripped"
    
    j "Let me help you up"
    
    "As I slip my hand in hers and lift her up I can't help but feel comforted."
    
    "The warmth of her hand flowing through me."
    
    show hanablush at center
    
    h "Ohh, tthank yy..you."
    
    j "You shouldn't be walking with your leg like that."

    j "Let's go to that field over there."
    
    h "Okay."
    
    hide hanablush
    scene sunset with fade
    
    "I don't know why, but I can't help it, I have to ask..."
    
    j "Hana?"
    
    show hanablush at center
    
    h "Yes?"
    
    j "May I kiss you?"
    
    h "Ww..what?"
    
    j "Hana, I seem to know you and you seem to know me. When I am with you I get all confused and feel like I have meaning in my life for the first time..."
    
    j "I know it sounds crazy, but..."
    
    h "No, I feel the same way."
    
    j "Hana, I lov..."
    
    hide hanablush
    
    "Hana leaned in and kissed me"
    
    "So wonderful, knowing that we now shared love with one another."
    
    "You know I think I do know why, I understand now."
    
    "Its the realization that I care for someone and they care about me."
    
    "Its the realization that I can give and receive love."
    
    jump endcredits
    
label endcredits:
    $ renpy.music.play('CumbiaNoFrills.ogg')
    scene black with dissolve
    
    show expression Text("Created and Produced By KyuKuru", xpos=0.5,ypos=0.3,xanchor="center", yanchor="center", drop_shadow=(2, 2)) as text with dissolve
    $ renpy.pause(2.0)
    hide text with dissolve
    $ renpy.pause(0.25)
    show expression Text("Backgrounds by Kyukuru and Shirai Junichi", xpos=0.5,ypos=0.3,xanchor="center", yanchor="center", drop_shadow=(2, 2)) as text with dissolve
    $ renpy.pause(2.0)
    hide text with dissolve
    $ renpy.pause(0.25)
    
    show expression Text("Artwork By Kabotya, Yaseuma Teisyoku, Tsuina, Kitsune", xpos=0.5,ypos=0.3,xanchor="center", yanchor="center", drop_shadow=(2, 2)) as text with dissolve
    $ renpy.pause(2.0)
    hide text with dissolve
    $ renpy.pause(0.25)

    show expression Text("Music by Kevin McLeod", xpos=0.5,ypos=0.3,xanchor="center", yanchor="center", drop_shadow=(2, 2)) as text with dissolve
    $ renpy.pause(2.0)
    hide text with dissolve
    $ renpy.pause(0.25)

    show expression Text("Thanks for playing ^_^", xpos=0.5,ypos=0.3,xanchor="center", yanchor="center", drop_shadow=(2, 2)) as text with dissolve
    $ renpy.pause(2.0)
    hide text with dissolve
    $ renpy.pause(0.25)


    $ renpy.full_restart()
    